# TS

Abstract PETSc object that manages all time-steppers (ODE integrators)

### Synopsis

    typedef struct _p_TS* TS;

### See Also

TSCreate(), TSSetType(), TSType, SNES, KSP, PC

Level:beginner
Location: src/ts/../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/util2.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex2f.F.html